<?
require('conexion.php');

function ComprobarRegistro($tabla,$registro) {
	
global $cid;

	//comprobamos qe no est en la tabla _ACODSTRANS
			$rsql = "SELECT * FROM _ACODSTRANS where (TABLATRANS = '$tabla') AND (CODTRANS = '$registro')";
			$rresult=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
			$num_results = 0;
			
			while (odbc_fetch_row($rresult)) {
				++$num_results;
			}
			
			//echo "<br>".$num_results."<br>";
			
			if ($num_results!=0) {
				
				
					++$registro;
				
				
			$registro = ComprobarRegistro($tabla,$registro);
				
			}
			
			
			return $registro;
			
}


//recogemos variables

$empresa = $_GET['empresa'];
$nombre = strtoupper($_GET['nombre']);
$apellidos = strtoupper($_GET['apellidos']);
$direccion = strtoupper($_GET['direccion']);
$dni = strtoupper($_GET['dni']);
$poblacion = strtoupper($_GET['poblacion']);
$provincia = $_GET['provincia'];
$codigopostal = $_GET['codigopostal'];
$cpostal = substr($codigopostal,0,strlen($codigopostal)-3);
$tlfijo = $_GET['tlfijo'];
$tlfmovil = $_GET['tlfmovil'];
$fax = $_GET['fax'];
$email = $_GET['email'];
$email_tabla = str_replace('@','#',$email);


$hora=date('H:i:s');
$fecha_a=date('Ymd');
$now=$fecha_a.$hora;
	
$pais = $_GET['pais'];
$observaciones = strtoupper($_GET['observaciones']);
$seguridadsocial = strtoupper($_GET['seguridadsocial']);
$vpropio = $_GET['vpropio'];
$referencias = strtoupper($_GET['referencias']);
$experiencia = strtoupper($_GET['experiencia']);
$tipo_jornada = $_GET['tipo_jornada'];
$lunes = $_GET['lunes'];
$martes = $_GET['martes'];
$miercoles = $_GET['miercoles'];
$jueves = $_GET['jueves'];
$viernes = $_GET['viernes'];
$sabado = $_GET['sabado'];
$domingo = $_GET['domingo'];

$nacimiento = $_GET['nacimiento'];
$nacimiento = explode("-",$nacimiento);
$nacimiento = $nacimiento[2]."-".$nacimiento[1]."-".$nacimiento[0];
$moto = $_GET['moto'];
$coche = $_GET['coche'];
$btp = $_GET['btp'];
$camion = $_GET['camion'];
$bus = $_GET['bus'];
$remolque = $_GET['remolque'];

$falta = date('Y-m-d H:i:s');

$espanol = $_GET['espanol'];
$ingles = $_GET['ingles'];
$frances = $_GET['frances'];
$aleman = $_GET['aleman'];
$otro_idioma = strtoupper($_GET['otro_idioma']);

//comprobamos si existe como chófer
$sql = ("SELECT count(EMAIL) AS num_reg FROM COMISIO WHERE EMAIL='$email_tabla'");
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));

$row = odbc_fetch_array($result);
	
$num_results = $row['num_reg'];

if ($num_results!=0) {
	echo '<p class="iz" style="margin: 15px 5px 10px 10px;">- El correo con el que intenta solicitar un puesto de comercial ya esta registrado.</p>';
}
else {
	
	//insertamos un comercial
	//extraemos el código de comisio, cortamos las 3 ultimas cifras, le sumamos 1, le añadimos los 3 ceros y comprobamos en _ACODTRANS
	
	$sql="Select max(NUM_COMI) from COMISIO";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	//numero de comercial
	$cod_comisio = odbc_result($result,1);
	//cortamos las 3 ultimas cifras
	$cod_comisio = substr($cod_comisio,0,strlen($cod_comisio)-3);
	//le sumamos 1
	$cod_comisio = ++$cod_comisio;
	//le añadimos 3 ceros
	$cod_comisio .= '000';
	//comprobamos en _ACOD
	$cod_comisio = ComprobarRegistro('COMISIO',$cod_comisio);echo '<br>';
	//completamos ceros iniciales
	$cod_comisio = str_repeat('0',7-strlen($cod_comisio)).$cod_comisio;
	
	$rsql = "INSERT INTO COMISIO (NUM_COMI,NOMBRE,DIRECCION,NIF,POBLACION,PROVINCIA,CP,TELEFONO,MOVIL,FAX,EMAIL,ALTA_COMI,ULTMODI,OBSERVA,USUARIO,SUBLICEN) 
	VALUES ('$cod_comisio','".$nombre." ".$apellidos."','$direccion','$dni','$poblacion','$cpostal','$codigopostal','+".$pais." ".$tlfijo."','+".$pais." ".$tlfmovil."','+".$pais." ".$fax."','$email_tabla','$falta','$now','$observaciones','WW','00')";
	$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));	
	
	echo '<p class="iz" style="margin: 15px 5px 10px 10px;">- Su perfil como comercial se ha creado correctamente.</p>';
	
	
	
	
}



?>